この記事を読むのに必要な時間は約 2 分です。

db-cache-reloded-fixのエラー

PHP Warning:  Parameter 1 to wpdb::escape_by_ref() expected to be a reference, value given in D:\*****\Public_html\myblog\wp-content\plugins\db-cache-reloaded-fix\db-module-wrapper.php on line 450

wordpressのキャッシュ系プラグインdb-cache-reloded-fixにエラーが出るようになりました。

検索してみると多くのサイトで発生していることから、サーバー側の設定の問題ではなく、
プラグインに問題があるようです。

私のwpのバージョンは4.0
db-cache-reloded-fixのバージョンは2.3です。

既に前回の更新から2年以上経過しています。wp-pluginsのページには、このような
注意書きが出ています。

キャプチャ

上はPHPのエラーログですが、wrapperモジュールに問題があるようですので、
プラグインの設定から下の画像のようにwrapperモードをOFFにすると、とりあえず回避できます。
dbcachereloded

最近の投稿とお薦め記事

 

Last modified: September 28 2014

 

よく読まれている記事(Weekly)

まだデータがありません。

 

はてぶ 人気エントリー